Bug 198385 - Allow to create custom debugger views
Allow to create custom debugger views
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.0
All All
: P2 (vote)
: 7.3
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST, PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-06 12:57 UTC by Egor Ushakov
Modified: 2012-08-19 01:23 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The proposed API change. (30.42 KB, patch)
2012-08-09 20:48 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-05-06 12:57:23 UTC
In CND we have Registers view that acts absolutely the same as all other debugger views like callstack or variables (represent only active session). Now we have to create it ourselves. That would be great if View class could be extended and/or be a part of public API so that we could subclass it or just create our own views with all default behavior that ViewModelListener provides.
Comment 1 Martin Entlicher 2011-05-06 14:36:01 UTC
I agree that it'd be good to have it in the APIs.
Comment 2 Martin Entlicher 2012-08-09 20:48:04 UTC
Created attachment 122957 [details]
The proposed API change.
Comment 3 Martin Entlicher 2012-08-09 20:49:11 UTC
Please review the proposed API change.
Comment 4 Martin Entlicher 2012-08-16 11:43:09 UTC
Thanks for the review, I'll push the API change tomorrow.
Comment 5 Martin Entlicher 2012-08-17 12:50:01 UTC
The API change is pushed as http://hg.netbeans.org/main/rev/5be7e4c53161
Associated changes were done in Java debugger modules:
http://hg.netbeans.org/main/rev/f83c7579c3d6
http://hg.netbeans.org/main/rev/4d04c9f3cfdf
http://hg.netbeans.org/main/rev/7e6c0dcb34c1
Comment 6 Quality Engineering 2012-08-19 01:23:16 UTC
Integrated into 'main-golden', will be available in build *201208190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5be7e4c53161
User: mentlicher@netbeans.org
Log: #198385: ViewFactory API introduced for an easy creation of custom debugger views.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo